Skip to main content
POST
CreateEntitlementOwner

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

user_id
string
required

The userId field.

role_slug
string
required

The roleSlug field.

app_entitlement_ref_app_id
string
required

The appId field.

app_entitlement_ref_id
string
required

The id field.

Body

application/json

CreateAppUserEntitlementOwnerRequest is the request for creating an entitlement ownership source on an app user.

appEntitlementRef
App Entitlement Ref · object | null

The AppEntitlementRef message.

Response

200 - application/json

CreateAppUserEntitlementOwnerResponse is the response for creating an entitlement ownership source on an app user.

CreateAppUserEntitlementOwnerResponse is the response for creating an entitlement ownership source on an app user.

appUserOwnerEntitlement
App User Owner Entitlement · object | null

AppUserOwnerEntitlement represents an entitlement ownership source for an app user.